BSV blockchainBSV blockchain

Evict an outpoint from lookup services

POST/admin/evictOutpoint

Body application/json

txidstringrequired

Transaction ID (64 hex chars)

outputIndexintegerrequired
servicestring

Lookup service name. Omit to evict from all services.

Response

Outpoint evicted.

statusstring
messagestring

Bad request — validation error or missing required field.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

No authentication credentials provided.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

Credentials provided but insufficient.

statusstring
messagestring
codestring

Stable machine-readable error code (see specs/errors.md).

Request
curl -X POST "https://{fqdn}/admin/evictOutpoint" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <token>" \
  -H "Authorization: Bearer <token>" \
  -d '{
  "txid": "string",
  "outputIndex": 0,
  "service": "string"
}'
Response
{
  "status": "string",
  "message": "string"
}